%define	name	gc
%define	version	6.2
%define release	3mdk
%define	major	1
%define libname	%mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Conservative garbage collector for C
Epoch:		0
URL:		http://www.hpl.hp.com/personal/Hans_Boehm/gc/
License:	BSD
Source0:	%{name}%{version}.tar.bz2
Group:		System/Libraries
BuildRoot:	%_tmppath/%name-%version-root

%description
Boehm's GC is a garbage collecting storage allocator that is
intended to be used as a plug-in replacement for C's malloc.

%package -n %{libname}
Summary:	Conservative garbage collector for C
Group:         	System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n	%{libname}
Boehm's GC is a garbage collecting storage allocator that is
intended to be used as a plug-in replacement for C's malloc.

%package -n %{libname}-devel
Summary:	Development files and documentation for Bohem's GC
Group:		Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
Header files and documentation needed to develop programs that use
Bohem's GC 

%package -n	%{libname}-static-devel
Summary:	Static libraries for Bohem's GC
Group:		Development/C
Requires:	%{libname} = %version-%release
Provides:       lib%{name}-static-devel = %{version}-%{release}

%description -n	%{libname}-static-devel
Static libraries neded to develop programs that use Bohem's GC

%prep
%setup -q -n gc%{version}

%build
LIBS="-ldl" %configure2_5x \
    --enable-threads=pthreads \
    --enable-static \
    --enable-shared
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %buildroot%_includedir/*.h
rm -rf %buildroot%_datadir/%{name}

install -d %buildroot%_mandir/man3
install -m 644 doc/gc.man %buildroot%_mandir/man3/gc.3

chmod 644 doc/*
rm -f doc/gc.man
rm -f doc/Makefile*

%clean
rm -rf %buildroot

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig
%postun -n %{libname}-devel -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc README.QUICK
%_libdir/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc/*
%_libdir/*.la
%_libdir/*.so
%_includedir/%{name}
%_mandir/man3/*

%files -n %{libname}-static-devel
%defattr(-,root,root)
%_libdir/*.a

%changelog
* Thu Jan 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 6.2-3mdk
- changed name to gc
- spec cleanup
- cleaned documentation

* Fri Oct 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 6.2-2mdk
- small spec cleanup
- use configure2_5x macro
- fix man page location

* Wed Oct 01 2003 David Walluck <walluck@linux-mandrake.com> 0:6.2-1mdk
- 6.2

* Wed Jul 16 2003 Marcel Pol <mpol@gmx.net> 6.1-3mdk
- rebuild for new rpm provides

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 6.1-2mdk
- build release

* Thu Dec 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 6.1-1mkd
- from Quel Qun <kelk1@hotmail.com> :
	- 6.1 final.

* Thu Sep  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 6.1-0.alpha5.1mdk
- initial cooker contrib
- used and fixed the provided spec file
- libifiction

* Tue Aug 20 2002 Miguel de Icaza <miguel@ximian.com>
- Moved to alpha 5

* Mon Aug 19 2002 Daniel Resare <noa@resare.com> 6.1-1
- updated to version 6.1
- changed package name to more generic libgc
- Added ldconfig invocation
- Added REAME.QUICK
- Merged devel package
- Removed private headerfiles from devel
- Removed broken manpages
- Removed nonstandard _build and _tmppath definitions (redhat specific
  _build breaks compilation in other dists and if anyone needs to move
  _tmpppath, it is better to do that system-wide in .rpmrc)
- Added URL header
- Changed group to standard one
- Removed i386 exclusivity (At least it seems to work on my ppc box)

* Sun Jun 16 2002 <richard.torkar@htu.se>
- Upgraded to 6.1alpha5
- Mono:: works on Red Hat 7.3 now

* Fri Apr 19 2002  <cvg@baselabs.org>
- Initial build.
